Subject: Re: Honor extractor's umask in git-tar-tree.

From: "H. Peter Anvin" <[email-masked]>
Date: Mon, 03 Oct 2005 10:28:07 -0700

Junio C Hamano wrote:
> 
> For in-cache permission mode bits, we would probably need
> something like this:
> 
>   * git-update-index will pick up the filesystem bits with the
>     current semantics (i.e. look only at (mode & 0100) and
>     force 0644 or 0755) by default; --full-perm-bits option
>     would bypass this bits munging.
> 
>     Once a file is added with --full-perm-bits, it might be
>     nice if index file remembers to pick up the full bits next
>     time git-update-index is run on the path.  This could be
>     achieved by saying that anything stored in the cache with
>     non 100644, 100755 nor 120000 bits are such paths without
>     having to change the index file format.
> 

One could also say that since oddball permissions are an exception, not 
the rule, that one should use a "git-chmod" command to enter the 
permissions in the cache.  The correct answer is probably *both* that 
and --full-permissions (or whatever) since they both probably apply to 
different workflows.

	-hpa